Package com.independentsoft.office.odf

# Class Script

java.lang.Object
com.independentsoft.office.odf.Script

public class Script extends Object
Represents a script.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Script()`
  Initializes a new instance of the Script class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Script`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getContent()`
  Gets the content of the script.
  `String`
  `getLanguage()`
  Gets the language of the script.
  `void`
  `setContent​(String content)`
  Sets the content of the script.
  `void`
  `setLanguage​(String language)`
  Sets the language of the script.
  `String`
  `toString()`
  Converts the value of the current Script object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Script

    public Script()
    Initializes a new instance of the Script class.

- ## Method Details

  - ### clone

    public Script clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Script object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public String getContent()
    Gets the content of the script.
    Returns:
      the content

  - ### setContent

    public void setContent​(String content)
    Sets the content of the script.
    Parameters:
      `content` - the new content

  - ### getLanguage

    public String getLanguage()
    Gets the language of the script.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language of the script.
    Parameters:
      `language` - the new language